Create tests for the Quiz extension
Closed, ResolvedPublic

Description

We should have unit tests for the Quiz extension.

See: https://www.mediawiki.org/wiki/Manual:Unit_testing

Mvolz created this task.Mar 6 2017, 12:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2017, 12:49 PM
Mvolz triaged this task as Normal priority.Jun 19 2017, 1:59 PM
Mvolz assigned this task to Harjotsingh.
Mvolz raised the priority of this task from Normal to High.

I think we should prioritise this before adding any new features, and testing all the new bug fixes that we've already done. It's easiest to write tests *with* a change so the longer we leave this the worse the technical debt becomes :).

Change 362264 had a related patch set uploaded (by Harjotsingh; owner: Harjotsingh):
[mediawiki/extensions/Quiz@master] Basic Unit Tests for Quiz Extension [WIP]

https://gerrit.wikimedia.org/r/362264

Change 362264 merged by jenkins-bot:
[mediawiki/extensions/Quiz@master] Basic Unit Tests for Quiz Extension

https://gerrit.wikimedia.org/r/362264

Harjotsingh closed this task as Resolved.Jul 16 2017, 3:13 PM

Closing as resolved as major tests are already added.
New features will have accompanying tests with them.